Package org.apache.sysds.runtime.compress.workload

# Enum Class AWTreeNode.WTNodeType

java.lang.Object
java.lang.Enum<AWTreeNode.WTNodeType>
org.apache.sysds.runtime.compress.workload.AWTreeNode.WTNodeType

All Implemented Interfaces:
  `Serializable`, `Comparable<AWTreeNode.WTNodeType>`, `Constable`

Enclosing class:
  AWTreeNode

public static enum AWTreeNode.WTNodeType extends Enum<AWTreeNode.WTNodeType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BASIC_BLOCK`
`FCALL`
`FOR`
`IF`
`PARFOR`
`ROOT`
`WHILE`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isLoop()`
`static AWTreeNode.WTNodeType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AWTreeNode.WTNodeType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ROOT

public static final AWTreeNode.WTNodeType ROOT

### FCALL

public static final AWTreeNode.WTNodeType FCALL

### IF

public static final AWTreeNode.WTNodeType IF

### WHILE

public static final AWTreeNode.WTNodeType WHILE

### FOR

public static final AWTreeNode.WTNodeType FOR

### PARFOR

public static final AWTreeNode.WTNodeType PARFOR

### BASIC_BLOCK

public static final AWTreeNode.WTNodeType BASIC_BLOCK

## Method Details

### values

public static AWTreeNode.WTNodeType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AWTreeNode.WTNodeType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isLoop

public boolean isLoop()